%define rel 1
%define _with_zeitgeist 0

Name: phonon
Summary: KDE4 Multimedia Framework
Version: 4.9.1
Release: %mkrel %{rel}
Epoch: 5
Url: http://phonon.kde.org/
License: LGPLv2+
Group: Graphical desktop/KDE
# We're using git: http://gitorious.org/phonon
Source0: http://download.kde.org/stable/phonon/%{version}/%{name}-%{version}.tar.xz

Patch10: phonon-rpath_use_link_path.patch
Patch11: phonon-DEFAULT_SOURCE.patch

# revert fix for https://bugs.kde.org/356218 as it causes
# (imo) worse regressions/side-effects: https://bugs.kde.org/337276
Patch24: 0024-fix-double-encoding-problem-with-MRLs.patch

# (cg) Phonon 4.4.1 needs Qt 4.6+
BuildRequires:  qt4-devel >= 4:4.6
BuildRequires:  kde4-macros
BuildRequires:  automoc
BuildRequires:  imagemagick
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(libpulse)
BuildRequires:  pkgconfig(libxml-2.0)
%if %{_with_zeitgeist}
BuildRequires:  pkgconfig(QZeitgeist)
%endif

BuildRequires:  kf5-macros
BuildRequires:  pkgconfig(Qt5Declarative)
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5Designer)
BuildRequires:  pkgconfig(Qt5OpenGL)

Conflicts: phonon-devel < 5:4.8.2

%description
Phonon is the KDE Multimedia Framework

%files
%dir %{_kde_libdir}/kde4/plugins/phonon_backend
%dir %{_kde_services}/phononbackends
%{_kde_datadir}/dbus-1/interfaces/org.kde.Phonon.AudioOutput.xml

#--------------------------------------------------------------------

%package   -n qt4-designer-plugin-phonon
Group:     Development/KDE and Qt
Summary:   Phonon Qt4 designer plugin
Conflicts: phonon-devel < 5:4.8.2

%description -n qt4-designer-plugin-phonon
Phonon Qt4 designer plugin

%files -n qt4-designer-plugin-phonon
%{_qt4_plugindir}/designer/*

#--------------------------------------------------------------------

%define phononexperimental_major 4
%define libphononexperimental %mklibname phononexperimental %{phononexperimental_major}

%package -n %{libphononexperimental}
Summary: Phonon library
Group: System/Libraries


%description -n %{libphononexperimental}
Phonon library.

%files -n %{libphononexperimental}
%{_kde_libdir}/libphononexperimental.so.%{phononexperimental_major}*

#--------------------------------------------------------------------

%define phonon_major 4
%define libphonon %mklibname phonon %{phonon_major}

%package -n %{libphonon}
Summary:  Phonon library
Group:    System/Libraries
%if ! %{_with_zeitgeist}
Obsoletes: libqzeitgeist-declarative-plugin < 0.8.0-7
Obsoletes: %{mklibname qzeitgeist 1} < 0.8.0-7
%endif

%description -n %{libphonon}
Phonon library.

%files -n %{libphonon}
%{_kde_libdir}/libphonon.so.%{phonon_major}*

#--------------------------------------------------------------------

%package   devel
Group:     Development/KDE and Qt
Summary:   Header files and documentation for compiling KDE applications
Requires:  %{libphononexperimental} = %{epoch}:%{version}
Requires:  %{libphonon} = %{epoch}:%{version}
Requires:  phonon
Requires:  qt4-designer-plugin-phonon
Conflicts: kdelibs4-devel < 4.0.80-5
Conflicts: qt4-devel < 4:4.7.2
Obsoletes: phonon-common
%if ! %{_with_zeitgeist}
Obsoletes: %{mklibname -d qzeitgeist} < 0.8.0-7
%endif

%description devel
This package includes the header files you will need to compile applications
for KDE. Also included is the KDE API documentation in HTML format for easy
browsing.

%files devel
%{_datadir}/phonon/buildsystem
%{_libdir}/cmake/phonon
%{_includedir}/phonon
%{_kde_includedir}/KDE/Phonon
%{_kde_libdir}/libphonon.so
%{_kde_libdir}/libphononexperimental.so
%{_kde_libdir}/pkgconfig/phonon.pc
%{_qt4_prefix}/mkspecs/modules/qt_phonon.pri


#--------------------------------------------------------------------

%define phonon4qt5experimental_major 4
%define libphonon4qt5experimental %mklibname phonon4qt5experimental %{phonon4qt5experimental_major}

%package -n %{libphonon4qt5experimental}
Summary: Phonon library
Requires:  phonon4qt5  = %{epoch}:%{version}
Group: System/Libraries


%description -n %{libphonon4qt5experimental}
Phonon library.

%files -n %{libphonon4qt5experimental}
%{_kf5_libdir}/libphonon4qt5experimental.so.%{phonon4qt5experimental_major}*

#--------------------------------------------------------------------

%define phonon4qt5_major 4
%define libphonon4qt5 %mklibname phonon4qt5_ %{phonon4qt5_major}

%package -n %{libphonon4qt5}
Summary: Phonon library
Requires:  phonon4qt5  = %{epoch}:%{version}
Group: System/Libraries

%description -n %{libphonon4qt5}
Phonon library.

%files -n %{libphonon4qt5}
%dir %{_qt5_plugindir}/phonon4qt5_backend
%{_kf5_libdir}/libphonon4qt5.so.%{phonon4qt5_major}*

#--------------------------------------------------------------------

%package   -n phonon4qt5
Group:     System/Libraries
Summary:   Phonon is the Plasma Multimedia Framework

Requires:  %{libphonon4qt5experimental}
Requires:  %{libphonon4qt5}

%description -n phonon4qt5
Phonon is the Plasma Multimedia Framework

%files -n  phonon4qt5
%{_kf5_datadir}/dbus-1/interfaces/org.kde.Phonon4Qt5.AudioOutput.xml

#--------------------------------------------------------------------

%package   -n phonon4qt5-devel
Group:     Development/KDE and Qt
Summary:   Header files and documentation for compiling KDE applications
Requires:  %{libphonon4qt5experimental} = %{epoch}:%{version}
Requires:  %{libphonon4qt5} = %{epoch}:%{version}

%description -n phonon4qt5-devel
This package includes the header files you will need to compile applications
for KDE. Also included is the KDE API documentation in HTML format for easy
browsing.

%files -n  phonon4qt5-devel
%{_datadir}/phonon4qt5/buildsystem
%{_includedir}/phonon4qt5
%{_kf5_libdir}/libphonon4qt5.so
%{_kf5_libdir}/libphonon4qt5experimental.so
%{_kf5_libdir}/pkgconfig/phonon4qt5.pc
%{_libdir}/cmake/phonon4qt5
%{_qt5_datadir}/mkspecs/modules/qt_phonon4qt5.pri
%{_qt5_plugindir}/designer/phononwidgets.so

#--------------------------------------------------------------------

%prep
%setup -q
%patch10 -p1 -b .10
%patch11 -p1 -b .11
%patch24 -p1 -R -b .24

%build
%cmake_kde4 \
    -DPHONON_INSTALL_QT_EXTENSIONS_INTO_SYSTEM_QT:BOOL=ON

%make

cd ..
mkdir -p build-Qt5
pushd build-Qt5
%cmake_qt5 \
  -DPHONON_BUILD_PHONON4QT5:BOOL=ON \
  -DPHONON_INSTALL_QT_EXTENSIONS_INTO_SYSTEM_QT:BOOL=ON \
  ../..
%make
popd



%install
%makeinstall_std -C build
mkdir -p %{buildroot}%{_kde_libdir}/kde4/plugins/phonon_backend
mkdir -p %{buildroot}%{_kde_services}/phononbackends

%makeinstall_std -C build-Qt5/build
mkdir -p %{buildroot}%{_qt5_plugindir}/phonon4qt5_backend


%changelog
* Tue Jan 24 2017 neoclust <neoclust> 5:4.9.1-1.mga6
+ Revision: 1083378
- New version 4.9.1

* Wed May 25 2016 luigiwalser <luigiwalser> 5:4.9.0-2.mga6
+ Revision: 1018548
- obsolete libqzeitgeist

* Fri May 06 2016 neoclust <neoclust> 5:4.9.0-1.mga6
+ Revision: 1010034
- New version 4.9.0

* Sat Apr 02 2016 neoclust <neoclust> 5:4.8.3-6.mga6
+ Revision: 997724
- Rebuild to generate cmake() provides

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Sat Dec 12 2015 neoclust <neoclust> 5:4.8.3-4.mga6
+ Revision: 909756
- Build with cmake_qt5 macro

* Tue Sep 08 2015 sander85 <sander85> 5:4.8.3-3.mga6
+ Revision: 874065
- Fix build

* Wed Feb 18 2015 luigiwalser <luigiwalser> 5:4.8.3-2.mga5
+ Revision: 815687
- revert upstream change which breaks building against phonon due to cmake bug
  (kitware bug#15258)

* Tue Feb 17 2015 lmenut <lmenut> 5:4.8.3-1.mga5
+ Revision: 815312
- Update to 4.8.3

* Sun Feb 08 2015 alien <alien> 5:4.8.2-2.mga5
+ Revision: 814129
- Fix _BSD_SOURCE glibc obsoletion

* Wed Dec 03 2014 lmenut <lmenut> 5:4.8.2-1.mga5
+ Revision: 800527
- Update to 4.8.2
- fix packaging
  dbus-1 interface
  qt4-designer-plugin-phonon

* Sat Oct 18 2014 lmenut <lmenut> 5:4.8.1-1.mga5
+ Revision: 787603
- Update to 4.8.1
- own %%_kde_services/phononbackends directory

* Wed Oct 15 2014 umeabot <umeabot> 5:4.8.0-3.mga5
+ Revision: 741460
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 5:4.8.0-2.mga5
+ Revision: 687079
- Mageia 5 Mass Rebuild

* Sun Sep 07 2014 lmenut <lmenut> 5:4.8.0-1.mga5
+ Revision: 673250
- Update to 4.8.0
  bump rel
- own phonon_backend directories

* Sun Sep 07 2014 lmenut <lmenut> 5:4.8.0-0.mga5
+ Revision: 673207
- Update to 4.8.0
  drop patch2 fixed upstream

* Sat Jul 12 2014 lmenut <lmenut> 5:4.7.2-1.mga5
+ Revision: 651540
- update to 4.7.2
- fix duplicated cmake in phonon-devel & phonon4qt5-devel

* Tue Feb 18 2014 neoclust <neoclust> 5:4.7.1-5.mga5
+ Revision: 594083
- New version
  Build Qt5 version

* Fri Oct 18 2013 umeabot <umeabot> 5:4.6.0-5.mga4
+ Revision: 516465
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 5:4.6.0-4.mga3
+ Revision: 375649
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 01 2012 neoclust <neoclust> 5:4.6.0-3.mga3
+ Revision: 301247
- Add a switch for zeitgeist support

* Tue Aug 14 2012 neoclust <neoclust> 5:4.6.0-2.mga3
+ Revision: 281221
- Fix cmake file after UsrMove

* Tue Feb 28 2012 colin <colin> 5:4.6.0-1.mga2
+ Revision: 215880
- New version: 4.6.0

* Fri Oct 28 2011 colin <colin> 5:4.5.1-1.mga2
+ Revision: 159048
- New version: 4.5.1

* Thu Oct 13 2011 colin <colin> 5:4.5.0-6.mga2
+ Revision: 154244
- Update to the upstream 4.5 branch for various fixes.
- Some more PA related capture device fixes.
- Fix the listing of capture devices.
- Add some upstream fixes (cosmetic+build)

* Thu Jun 30 2011 dmorgan <dmorgan> 5:4.5.0-2.mga2
+ Revision: 116394
- Enable libqzeitgeist-devel as buildrequires
- Own the good directoty

* Sat Mar 26 2011 colin <colin> 5:4.5.0-1.mga1
+ Revision: 77678
- Update to Phonon 4.5.0
- Package Qt Designer plugin

  + dmorgan <dmorgan>
    - Remove previous tarball

* Fri Jan 21 2011 dmorgan <dmorgan> 5:4.4.4-1.mga1
+ Revision: 29621
- Update to phonon 4.4.4
- Apply patch1
- Remove patches
- Remove phonon-gstreamer.svg

* Sun Jan 16 2011 dmorgan <dmorgan> 5:4.4.4-0.20110105.1.mga1
+ Revision: 20315
- New tarball
- Sync with fedora

* Sat Jan 15 2011 ahmad <ahmad> 5:4.4.3-1.mga1
+ Revision: 19609
- bump Epoch to 5 so that it's higher than Qt4 Epoch; this is so that phonon packages
  from kde (this package) can be installed instead of the the phonon packages built
  from Qt4 sources
- drop old arts obsoletes
- drop unneeded /sbin/ldconfig calls, they're covered by the rpm filetriggers now

  + dmorgan <dmorgan>
    - Remove mdv macros
    - imported package phonon


* Sun Nov 28 2010 Funda Wang <fwang@mandriva.org> 2:4.4.3-1mdv2011.0
+ Revision: 602172
- 4.4.3 final

* Wed Nov 24 2010 Funda Wang <fwang@mandriva.org> 2:4.4.3-0.git20101121.1mdv2011.0
+ Revision: 600373
- new snapshot

* Tue Sep 14 2010 Funda Wang <fwang@mandriva.org> 2:4.4.3-0.git20100914.1mdv2011.0
+ Revision: 578245
- New snapshot needed by kdebase4-runtime

* Tue Aug 17 2010 Colin Guthrie <cguthrie@mandriva.org> 2:4.4.2-2mdv2011.0
+ Revision: 571007
- Protect pulseaudio detection probe from multi-thread startup (maybe helps bko#232068

  + Stéphane Laurière <slauriere@mandriva.com>
    - Added missing spaces to the declaration of the devel package's obsoletes (#60148)

* Tue Jul 13 2010 Colin Guthrie <cguthrie@mandriva.org> 2:4.4.2-1mdv2011.0
+ Revision: 552936
- New version: 4.4.2

* Wed May 12 2010 Colin Guthrie <cguthrie@mandriva.org> 2:4.4.1-6mdv2010.1
+ Revision: 544572
- Add some fixes related to mdv #59052

* Mon May 10 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 2:4.4.1-5mdv2010.1
+ Revision: 544364
- Use decodebin instead of decodebin2

* Fri May 07 2010 Colin Guthrie <cguthrie@mandriva.org> 2:4.4.1-4mdv2010.1
+ Revision: 543266
- Maybe fix a problem with incorrect error notification on startup with PA

* Tue Apr 27 2010 Christophe Fergeau <cfergeau@mandriva.com> 2:4.4.1-3mdv2010.1
+ Revision: 539591
- rebuild so that shared libraries are properly stripped again

* Sat Apr 24 2010 Colin Guthrie <cguthrie@mandriva.org> 2:4.4.1-2mdv2010.1
+ Revision: 538491
- Fix a couple problems with PA integration (bko#235193)

* Thu Apr 22 2010 Colin Guthrie <cguthrie@mandriva.org> 2:4.4.1-1mdv2010.1
+ Revision: 537855
- New version: 4.4.1

* Mon Apr 05 2010 Colin Guthrie <cguthrie@mandriva.org> 2:4.3.80-10.20100330.2mdv2010.1
+ Revision: 531604
- Fix UTF8 encoding in PA support. Mdv#57159

* Wed Mar 31 2010 Colin Guthrie <cguthrie@mandriva.org> 2:4.3.80-10.20100330.1mdv2010.1
+ Revision: 530081
- Update to latest git with PulseAudio per-application volume support.
- Drop upstream applied patch

* Wed Mar 17 2010 Colin Guthrie <cguthrie@mandriva.org> 2:4.3.80-10.20100317.1mdv2010.1
+ Revision: 524723
- Update to phonon git master.
- Drop merged patches
- Add PA connection rework (bko#228324)

* Thu Mar 11 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 2:4.3.80-7mdv2010.1
+ Revision: 518012
- Remove requires in gstreamer0.10-plugins-ugly
- Add comment about patch2 merged upstream
- add infos for next update

* Wed Feb 03 2010 Colin Guthrie <cguthrie@mandriva.org> 2:4.3.80-6mdv2010.1
+ Revision: 499849
- Rework device moving on a system with PA underneath
- Remove version from the phonon-backend provide as it's not of any practical value

* Sun Jan 24 2010 Colin Guthrie <cguthrie@mandriva.org> 2:4.3.80-5mdv2010.1
+ Revision: 495602
- Fix an issue with pulsecleanup patch relating to startup configuration

* Sat Jan 23 2010 Colin Guthrie <cguthrie@mandriva.org> 2:4.3.80-4mdv2010.1
+ Revision: 495317
- Add a PA cleanup patch for wider debugging
- Use %%apply_patches macro (easier to manage)
- Update tarball to svn trunk
- Drop merged patches
- Fix xine output with PA under some error conditions

* Thu Jan 21 2010 Colin Guthrie <cguthrie@mandriva.org> 2:4.3.80-3mdv2010.1
+ Revision: 494635
- Fix another problem with gst backend relating to play->stop->play on a media object with PulseAudio (possibly alsa too)

* Thu Jan 14 2010 Colin Guthrie <cguthrie@mandriva.org> 2:4.3.80-2mdv2010.1
+ Revision: 491078
- Remove unsed (and already applied upstream) patch
- Hopefully fix mdv#56807 (randomly disappearing sound under KDE+PA)

* Sun Dec 27 2009 Funda Wang <fwang@mandriva.org> 2:4.3.80-1mdv2010.1
+ Revision: 482675
- New version 4.3.80

* Mon Nov 23 2009 Colin Guthrie <cguthrie@mandriva.org> 2:4.3.50-21mdv2010.1
+ Revision: 469160
- Make sure pulseaudio stream moves are processed on reused streams.
- Remove old pulseaudio patch

* Sun Nov 22 2009 Colin Guthrie <cguthrie@mandriva.org> 2:4.3.50-20mdv2010.1
+ Revision: 469037
- Update to phonon trunk
- Remove four upstream-applied patches
- Remove version check on PulseAudio version (we know ours is OK)
- Renumber patches

* Sun Nov 15 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 2:4.3.50-19mdv2010.1
+ Revision: 466199
- Add requires on gstreamer-ugly, that fix the time bar in amarok

* Tue Oct 27 2009 Colin Guthrie <cguthrie@mandriva.org> 2:4.3.50-18mdv2010.0
+ Revision: 459458
- Some updates/fixes relating to pulseaudio support
-  Ensure the stream is moved when the device priorities change
-  Ensure the UI parts are correctly called to inform the user of whats happened when the device changes.
-  Add some extra debug

  + Nicolas Lécureuil <nlecureuil@mandriva.com>
    - Use decodebin2 instead of decodebin
      Use playbin2 instead of playbin
      BUG:51955

* Sat Oct 24 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 2:4.3.50-16mdv2010.0
+ Revision: 459181
- Add DVD support in the Gstreamer engine

* Sun Oct 18 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 2:4.3.50-15mdv2010.0
+ Revision: 458069
- Add xine-pulse as Suggests in phonon-xine

* Fri Oct 16 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 2:4.3.50-14mdv2010.0
+ Revision: 457859
- Add gstreamer0.10-pulse as suggests

* Thu Oct 15 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 2:4.3.50-13mdv2010.0
+ Revision: 457487
- Fix seekable streams

* Thu Oct 15 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 2:4.3.50-12mdv2010.0
+ Revision: 457485
- Add patches fixing the gstreamer engine

* Sun Oct 11 2009 Colin Guthrie <cguthrie@mandriva.org> 2:4.3.50-11mdv2010.0
+ Revision: 456615
- Fix xine output after latest changes.

* Sat Oct 10 2009 Colin Guthrie <cguthrie@mandriva.org> 2:4.3.50-10mdv2010.0
+ Revision: 456561
- Update PulseAudio support

* Sat Oct 03 2009 Colin Guthrie <cguthrie@mandriva.org> 2:4.3.50-9mdv2010.0
+ Revision: 453182
- Latest version of pulseaudio support
-  o Category priority lists now work.
-  o Notifications are sent when devices are added/removed.
- Drop upstream applied patches
- Update to trunk r1030942

* Fri Oct 02 2009 Colin Guthrie <cguthrie@mandriva.org> 2:4.3.50-8mdv2010.0
+ Revision: 452493
- Latest version of PulseAudio support patch (routing and priority now working for the 'No Category' case)

  + Nicolas Lécureuil <nlecureuil@mandriva.com>
    - Fix requires for phonon-gstreamer

  + Helio Chissini de Castro <helio@mandriva.com>
    - Update to phonon trunk latest source.
    - Remove current gst patch, as already included upstream by Colin

* Thu Sep 24 2009 Colin Guthrie <cguthrie@mandriva.org> 2:4.3.50-6mdv2010.0
+ Revision: 448193
- Add some fixes I pushed upstream for gstreamer device enumeration and backend reloading

* Wed Sep 23 2009 Colin Guthrie <cguthrie@mandriva.org> 2:4.3.50-5mdv2010.0
+ Revision: 447872
- Package eating monster munched -devel on i586... rebuild

* Wed Sep 23 2009 Colin Guthrie <cguthrie@mandriva.org> 2:4.3.50-4mdv2010.0
+ Revision: 447819
- Update pulseaudio patch slightly due to a copy paste error
- Revised pulseaudio detection patch that does not rely on Mandriva specific configs (that have been deprecated anyway)

* Mon Sep 21 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 2:4.3.50-3mdv2010.0
+ Revision: 446954
- Add patch from lmenut to support more that one CD/DVD driver

* Mon Sep 14 2009 Helio Chissini de Castro <helio@mandriva.com> 2:4.3.50-2mdv2010.0
+ Revision: 440619
- Byte your own tongue.. Add api support in trunk and forget to enable it in your own distro :-P

* Mon Sep 14 2009 Helio Chissini de Castro <helio@mandriva.com> 2:4.3.50-1mdv2010.0
+ Revision: 440615
- Use phonon trunk
- Removed backported trunk patches
- Added api and stream extract data patches in trunk

* Thu Sep 03 2009 Helio Chissini de Castro <helio@mandriva.com> 2:4.3.1-15mdv2010.0
+ Revision: 428957
- Removed implicit requires to pulse modules.

* Sat Aug 15 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 2:4.3.1-14mdv2010.0
+ Revision: 416458
- Fix typo
- Obsolete kde3 arts

* Thu Jun 04 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 2:4.3.1-13mdv2010.0
+ Revision: 382891
- Revert to phonon 4.3.1

* Sat May 30 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:4.3.50-0.975368.1mdv2010.0
+ Revision: 381233
- New snapshot
  Remove merged patches
  Rediff patches

* Thu May 28 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:4.3.1-12mdv2010.0
+ Revision: 380599
- Add patch from trunk to add equalizer effect in the xine engine

* Mon Apr 06 2009 Helio Chissini de Castro <helio@mandriva.com> 1:4.3.1-11mdv2009.1
+ Revision: 364421
- Remove extra suggests

* Fri Apr 03 2009 Helio Chissini de Castro <helio@mandriva.com> 1:4.3.1-10mdv2009.1
+ Revision: 363821
- phonon is not the place to obsolete arts

* Fri Mar 20 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:4.3.1-9mdv2009.1
+ Revision: 358263
- [Trunk] Add features in gstreamer engine
- Fix versionnate

* Wed Mar 18 2009 Helio Chissini de Castro <helio@mandriva.com> 1:4.3.1-7mdv2009.1
+ Revision: 357377
- Add initial support for gstreamer install plugins codec api, in a generic mode.
  This will allow default usage of Codeina or any helper script app as defined in the gstreamer compilation
- Removed old invalid patch

* Wed Mar 18 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:4.3.1-6mdv2009.1
+ Revision: 357305
- Fix obsoletes

* Tue Mar 17 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:4.3.1-5mdv2009.1
+ Revision: 356960
- Obsolete old arts

* Mon Mar 16 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:4.3.1-4mdv2009.1
+ Revision: 356217
- Remove subrel
  Bump release
- Add missing patch
- Add one revision per patch
- fix typo

* Fri Mar 06 2009 Colin Guthrie <cguthrie@mandriva.org> 1:4.3.1-3mdv2009.1
+ Revision: 349544
- Make strings translatable

* Sat Feb 28 2009 Helio Chissini de Castro <helio@mandriva.com> 1:4.3.1-2mdv2009.1
+ Revision: 346054
- Added backports patc for enconding fix.
- Added backport patch to stop/pause issue long seen in Amarok

* Fri Feb 27 2009 Helio Chissini de Castro <helio@mandriva.com> 1:4.3.1-1mdv2009.1
+ Revision: 345512
- Phonon 4.3.1 try#1 upstream release

* Mon Feb 23 2009 Colin Guthrie <cguthrie@mandriva.org> 1:4.3.0-2mdv2009.1
+ Revision: 344017
- Do not list any other devices when pulseaudio is enabled
- Pulseaudio is not an advanced output (patch seems to have been misconceived)

* Thu Jan 22 2009 Helio Chissini de Castro <helio@mandriva.com> 1:4.3.0-1mdv2009.1
+ Revision: 332566
- New upstream release tied to 4.2.0 upcoming release
- Fixed tarball from upstream

* Fri Jan 09 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:4.2.96-1mdv2009.1
+ Revision: 327543
- New version 4.2.96

* Thu Dec 18 2008 Colin Guthrie <cguthrie@mandriva.org> 1:4.2.80-1.895450.2mdv2009.1
+ Revision: 315395
- Fix URL parsing (e.g. when [ or ] in the name). Fixes mdv#45950

* Wed Dec 10 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:4.2.80-1.895450.1mdv2009.1
+ Revision: 312583
- Fix Release
- Update to new snapshot

* Mon Nov 24 2008 Helio Chissini de Castro <helio@mandriva.com> 1:4.2.80-1mdv2009.1
+ Revision: 306420
- Updated with fresh beta 1 official tarball

* Sun Oct 19 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:4.2.70-0.866326.2mdv2009.1
+ Revision: 295414
- Add epoch to ease upgrade
- New snapshot
- New snapshot

* Sun Oct 19 2008 Colin Guthrie <cguthrie@mandriva.org> 4.2.0-14mdv2009.1
+ Revision: 295176
- Slightly better patch that also handles .oga files
- Fix .ogg mime type handling

* Fri Oct 03 2008 Helio Chissini de Castro <helio@mandriva.com> 4.2.0-13mdv2009.0
+ Revision: 291038
- added suggests for gstreamer plugins, allow uswers to have strea and mp3 as default

* Tue Sep 23 2008 Colin Guthrie <cguthrie@mandriva.org> 4.2.0-12mdv2009.0
+ Revision: 287159
- Fix broken path in my previous patch generation
- Revised patch for streaming data extraction.

* Sun Sep 21 2008 Colin Guthrie <cguthrie@mandriva.org> 4.2.0-11mdv2009.0
+ Revision: 286376
- Add a gstreamer icon
- Add a patch that requests metadata from streams via icydemux and
  fudge this info into ALBUM/ARTIST metadata.

* Sat Sep 20 2008 Colin Guthrie <cguthrie@mandriva.org> 4.2.0-10mdv2009.0
+ Revision: 286057
- Use the same icon as the xine icon for pulseaudio (yet to be supplied)
- Require gstreamer0.10-pulse in the gstreamer backend.

* Fri Sep 19 2008 Colin Guthrie <cguthrie@mandriva.org> 4.2.0-9mdv2009.0
+ Revision: 285790
- Update patch to use QSettings rather than KConfig (which was a silly idea in the first place)
- Add cosmetic patch for pulseaudio with gst backend (detect pulse via draksound settings)
- Remove profile.d env var setting scripts as this is now handled in pulseaudio patch

* Thu Sep 18 2008 Colin Guthrie <cguthrie@mandriva.org> 4.2.0-8mdv2009.0
+ Revision: 285742
- Set the glib application name for the benefit of gstreamer sink (app name is used by pulseaudio)

* Mon Sep 15 2008 Helio Chissini de Castro <helio@mandriva.com> 4.2.0-7mdv2009.0
+ Revision: 285032
- auto audio sink

* Sun Sep 14 2008 Helio Chissini de Castro <helio@mandriva.com> 4.2.0-6mdv2009.0
+ Revision: 284616
- Proper sink namex

* Sun Sep 14 2008 Helio Chissini de Castro <helio@mandriva.com> 4.2.0-5mdv2009.0
+ Revision: 284611
- Pulse as a default audiosink in gstreamer

* Tue Sep 02 2008 Helio Chissini de Castro <helio@mandriva.com> 4.2.0-4mdv2009.0
+ Revision: 279060
- update with latest branch with fixes

* Thu Aug 14 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 4.2.0-3mdv2009.0
+ Revision: 271687
- Add patch from trunk

* Wed Jul 30 2008 Helio Chissini de Castro <helio@mandriva.com> 4.2.0-2mdv2009.0
+ Revision: 255126
- Add version to phonon-backend provides, to avoid apps requires phonon < 4.2

* Thu Jul 24 2008 Funda Wang <fwang@mandriva.org> 4.2.0-1mdv2009.0
+ Revision: 246522
- 4.2.0 final

  + Helio Chissini de Castro <helio@mandriva.com>
    - Cleaning my mess

* Tue Jun 10 2008 Helio Chissini de Castro <helio@mandriva.com> 4.2-0.819157.1mdv2009.0
+ Revision: 217666
- Update phonon and fix devel install

* Tue Jun 03 2008 Helio Chissini de Castro <helio@mandriva.com> 4.2-0.815960.1mdv2009.0
+ Revision: 214437
- Enable gstreamer backend. Plugins now provides a virtual phonon-backend and main desktop will requires
  a phonon-backend instead of explicit one.
- Created phonon-common for dbus interfaces

* Thu May 29 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 4.2-0.814039.2mdv2009.0
+ Revision: 213136
- Comment a buildRequire
- Add BuildRequires
  Add TODO
- import phonon


